# Interface SequenceAlignment

Codifies the alignment data a sequence of one-letter residue codes and the information on the chain and residue numbers for the aligned regions

#### Hierarchy

- SequenceAlignment

- Defined in src/examples/alignment-provider/providers/alignment-response.d.ts:174

#####
Index

### Properties

gaps?
regions
sequence?

## Properties

### `Optional` gaps

gaps?: AlignmentGap[]

List of empty regions (gaps) in the alignment sequence

- Defined in src/examples/alignment-provider/providers/alignment-response.d.ts:183

### regions

regions: AlignmentRegion[]

- Defined in src/examples/alignment-provider/providers/alignment-response.d.ts:179

### `Optional` sequence

sequence?: string

A sequence of one-letter residue codes in the order they appear in the alignment (gap characters are permitted). Gaps that have been introduced into the sequences to make them align are indicated by the '-' character

- Defined in src/examples/alignment-provider/providers/alignment-response.d.ts:178

Generated using TypeDoc